import java.net.URLEncoder;

public class QueryString {

  private String query, enc;

  public QueryString(Object name, Object value) {
      try {
	  query = URLEncoder.encode(name.toString(),enc) + "=" + 
		  URLEncoder.encode(value.toString(),enc);
      }
      catch (java.io.UnsupportedEncodingException e) {
	  e.printStackTrace();
      }
  }
  
  public QueryString() {
      query = "";
      enc = "UTF-8";
  }
  
  public synchronized void add(Object name, Object value) {

      try {
	  if (!query.trim().equals("")) query += "&" ; 
	  query += URLEncoder.encode(name.toString(),enc) + "=" + 
		   URLEncoder.encode(value.toString(),enc);
      }
      catch (java.io.UnsupportedEncodingException e) {
	  e.printStackTrace();
      }
  
  }
  
  public String toString() {
    return query;
  }

}
