import java.net.*;
import java.io.*;

public class URLReader {
    public static void main(String[] args) {
	URL url;
	String name;
	int n, nlines;
	if (args.length>0) name = args[0];
	else name = "https://johnloomis.org";
	if (args.length>1) nlines = Integer.parseInt(args[1]);
	else nlines = 5;
	System.out.println("Opening: " + name);
	try {
	    url = new URL(name);
	    BufferedReader in = new BufferedReader(new InputStreamReader(url.openStream()));
	    System.out.println("\nShowing first few lines:\n");
	    String inp;
	    for (n=0; n<nlines; n++) {
		inp = in.readLine();
		if (inp==null) break;
		System.out.println(inp);
	    }
	    in.close();
	}
	catch (MalformedURLException e) {
	    System.out.println(e);
	}
	catch (IOException e) {
	    System.out.println(e);
	}
    }
}
