import java.net.*;
import java.io.*;

public class URLReader2 {
    public static void main(String[] args) {
	URL url;
	URLConnection con;
	int n, nlines;
	String name;
	if (args.length>0) name = args[0];
	else name = "https://johnloomis.org";
	if (args.length>1) nlines = Integer.parseInt(args[1]);
	else nlines = 5;
	System.out.println("Opening: " + name);
	try {
	    url = new URL(name);
	    con = url.openConnection();
	    // check header fields
	    for (n=0; n<100; n++) {
		String key = con.getHeaderFieldKey(n);
		if (key!=null) System.out.println(key + ": " + con.getHeaderField(n));
		else if (n==0) System.out.println("Status: " + con.getHeaderField(0));
		else break;
	    }
	    BufferedReader in = new BufferedReader(new InputStreamReader(con.getInputStream()));
	    String inp;
	    System.out.println("\nShowing first few lines of content:\n");
	    for (n=0; n<nlines; n++) {
		inp = in.readLine();
		if (inp==null) break;
		System.out.println(inp);
	    }
	    in.close();
	}
	catch (MalformedURLException e) {
	    System.out.println(e);
	}
	catch (IOException e) {
	    System.out.println(e);
	    e.printStackTrace();
	}
    }
}
